Subject: Re: "Link-Local" clarification in <draft-ietf-ipv6-addr-arch-v4-0 4.txt> (is Link-Local fe80::/10 or fe80::/64 ?)

From: "Ebalard, Arnaud" <[email-masked]>
Date: Wed, 7 Sep 2005 14:37:01 +0200

Le 7 sept. 05 à 13:17, Brian Haberman a écrit :

>
> On Sep 7, 2005, at 2:38, Ebalard, Arnaud wrote:
>
>
>>
>> Le 7 sept. 05 à 02:22, Bob Hinden a écrit :
>>
>> Bob,
>>
>>
>>> Section 2.4 defines the prefix (i.e., FE80::/10) that identifies
>>> the address as link-local addresses type and Section 2.5.6 defines
>>> the exact format (i.e.,  prefix, zeros, IID) of Link-Local  
>>> addresses.
>>>
>>
>> Yes, that's exactly the point! Section 2.5.6 is more restrictive than
>> section 2.4. Leading to my question : is link-local fe80::/10 or only
>> fe80::/64 ?
>>
>> Please, reconsider the example :
>>
>> - fe80:aaaa:aaaa:aaaa::1 IS link-local if I follow section 2.4.
>> - fe80:aaaa:aaaa:aaaa::1 IS NOT Link-local if I consider 2.5.6.
>>
>>
>
> Section 2.4 reserves the FE80::/10 prefix for link-local addresses,  
> but
> does not define their structure.  Rather it points to Section 2.5.6  
> for
> the
> exact structure of the link-local address *as currently defined*.  The
> larger /10 allocation will allow future specifications to define new
> link-local formats if needed.

Fine. This is the answer I was looking for. I stop bothering you.

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------